Package org.eclipse.emf.cdo.view

## Class CDOUnitManager.UnitNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.emf.cdo.common.util.CDOException
        - - org.eclipse.emf.cdo.view.CDOUnitManager.UnitNotFoundException

- All Implemented Interfaces:
    `java.io.Serializable`
  Enclosing interface:
    CDOUnitManager

      public static final class CDOUnitManager.UnitNotFoundException
      extends CDOException

  An unchecked `CDOException` being thrown from `CDOUnitManager.openUnit()` to indicate that no `unit` exists for the given root object.
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnitNotFoundException()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnitNotFoundException

          public UnitNotFoundException()